List Contact Entries
List entries inside a contact list.
Requires the contact_lists:read scope on the API key.
curl --request GET \
--url https://api.topo.io/v1/contact-entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_contact_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"company_name": "<string>",
"company_domain": "<string>",
"job_title": "<string>",
"phone": "<string>",
"description": "<string>",
"location": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Page number.
x >= 1Number of items per page.
1 <= x <= 100Field to sort by.
created_at, updated_at, email, last_name Sort direction.
asc, desc ID of the contact list to scope the result to.
Filter by email (exact match).
Filter by company domain (exact match).
Filter by external CRM contact identifier (exact match).
Filter by enrichment state.
Return entries created strictly before this timestamp.
Return entries created strictly after this timestamp.
Response
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Unique identifier.
ID of the list this entry belongs to.
ID of the contact this entry belongs to. Always set on entries created through this API; null only on older entries that were never matched to a contact.
External CRM contact identifier when supplied at import.
First name.
Last name.
Email.
LinkedIn URL.
Employer name.
Employer domain.
Job title.
Phone number.
Free-form notes.
Person's location.
When the entry was created.
When the entry last changed.
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
curl --request GET \
--url https://api.topo.io/v1/contact-entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_contact_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"company_name": "<string>",
"company_domain": "<string>",
"job_title": "<string>",
"phone": "<string>",
"description": "<string>",
"location": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}